Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

Recent posts

#31
System upgrading / Re: Kernel to 6.1.0-18 update ...
Last post by Dietmar - February 17, 2024, 11:51:34 AM
Issue closed - this morning system update with new nvidia drivers works.
System now updated to 6.1.0-18
#32
General discussion / Re: Is there a 32-bit live ver...
Last post by gourry - February 16, 2024, 03:53:52 PM
Hi, try  the ISO MinimalGUI i686.
https://sparkylinux.org/iso-minimalgui-i686/
#33
Desktops / System boots to BIOS after lar...
Last post by stactk49 - February 16, 2024, 01:39:54 AM
After an update to the KDE Rolling edition, I'm unable to boot into my OS. I restarted my system immediately after the update, entered my decryption password and it goes straight to the BIOS.
I've checked the BIOS settings that have caused similar problems in the past (Secure boot and boot sequence) and changing those doesn't resolve the situation. When I boot the Sparky Live USB, I can still access the contents of the drive after entering my password.

The system itself is a Tuxedo Polaris with an AMD processor, 16 gigabytes of RAM and a 2tb NVME. It has run Sparky Linux with no major problems for most of the past 3 years since I bought it.

When I try searching to see if anyone else has had this issue, it turns up a million results for people who can't get to their BIOS. Is there any way I can get my system to boot properly without a full reinstall?
#34
System upgrading / Re: Kernel to 6.1.0-18 update ...
Last post by Dietmar - February 13, 2024, 06:46:18 PM
Thanks for your friendly answer.
I have installed nvidia-detect [525.147.05-4~deb12u1]
Newer version is in sid nvidia-detect_525.147.05-6_amd64.deb
but it is not possible to install it.
nvidia-detect with existing version give as result:

Checking card:  NVIDIA Corporation GK208M [GeForce GT 740M] (rev a1)
Your card is supported by the Tesla 470 drivers series.
It is recommended to install the
    nvidia-tesla-470-driver
I will/must wait.....

thanks a lot
#35
System upgrading / Re: Kernel to 6.1.0-18 update ...
Last post by 21grams - February 13, 2024, 06:21:21 PM
A stupid question is one never asked - your question is worthy of an answer I cannot currently give without testing that.

I will, however, assume the combining of drivers mentioned in the bug should work.

Perhaps run that new nvidia-detect and see what that allows or wait for the world to catch up.

cheers,
21grams
#36
System upgrading / Re: Kernel to 6.1.0-18 update ...
Last post by Dietmar - February 13, 2024, 11:36:21 AM
Thanks a lot 21grams,

it is possible to download the nvidia-graphics-drivers 525.147.05-6~deb12u1 from debian package website.

I tried to installl them, but I got the message, that this driver does not support Tesla 470 drivers any longer. I should use nvidia-tesla-470-driver. Tesla driver already installed.

Shall I install the nvidia-graphics-drivers 525.147.05-6~deb12u1 anyway by ignoring the warnings?
Will this destroy the tesla-driver?

Sorry for this maybe stupid question.
Thanks for your time...
Best regards
Dietmar
#37
System upgrading / Re: Kernel to 6.1.0-18 update ...
Last post by 21grams - February 13, 2024, 05:47:46 AM
You will have to wait for an nvidia driver update 525.147.05-6~deb12u1 to work with the latest kernels currently in unstable but is being pushed through to stable-p-u (proposed updates)
The bug : https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1063675
#38
System upgrading / Kernel to 6.1.0-18 update fail...
Last post by Dietmar - February 12, 2024, 12:16:50 PM
Dear all,
today i wanted to upgrade the system but kernel update fails :
Here the output from terminal: (user root)

/home/user# apt upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
Statusinformationen werden eingelesen... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  linux-headers-6.1.0-16-amd64 linux-headers-6.1.0-16-common linux-image-6.1.0-16-amd64
Verwenden Sie »apt autoremove«, um sie zu entfernen.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
4 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] j
linux-image-6.1.0-18-amd64 (6.1.76-1) wird eingerichtet ...
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-18-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub
applying patch cc_version_check-gcc5.patch...patching file conftest.sh

applying patch bashisms.patch...patching file conftest.sh

applying patch linux-2.6.34-dev_pm_info-runtime_auto.patch...patching file conftest.sh

applying patch 0033-refuse-to-load-legacy-module-if-IBT-is-enabled.patch...patching file nvidia-modeset/nvidia-modeset-linux.c
patching file nvidia/nv.c

applying patch ppc64el.patch...patching file nvidia/nvlink_common.h

applying patch fragile-ARCH.patch...patching file Makefile

applying patch use-kbuild-compiler.patch...patching file Makefile
patching file Kbuild

applying patch use-kbuild-flags.patch...patching file Kbuild
patching file nvidia/nvidia.Kbuild
patching file Makefile
patching file nvidia-modeset/nvidia-modeset.Kbuild

applying patch conftest-verbose.patch...patching file Kbuild

applying patch conftest-prefer-arch-headers.patch...patching file conftest.sh

Building module:
Cleaning build area...
env NV_VERBOSE=1 make -j4 modules KERNEL_UNAME=6.1.0-18-amd64.............................................(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-18-amd64 (x86_64)
Consult /var/lib/dkms/nvidia-tesla-470/470.223.02/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-18-amd64 failed!
run-parts: /etc/kernel/header_postinst.d/dkms exited with return code 11
Failed to process /etc/kernel/header_postinst.d at /var/lib/dpkg/info/linux-headers-6.1.0-18-amd64.postinst line 11.
dpkg: Fehler beim Bearbeiten des Paketes linux-headers-6.1.0-18-amd64 (--configure):
 »installiertes post-installation-Skript des Paketes linux-headers-6.1.0-18-amd64«-Unterprozess gab den Fehlerwert 1 zurück
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von linux-image-amd64:
 linux-image-amd64 hängt ab von linux-image-6.1.0-18-amd64 (= 6.1.76-1); aber:
  Paket linux-image-6.1.0-18-amd64 ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes linux-image-amd64 (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von linux-headers-amd64:
 linux-headers-amd64 hängt ab von linux-headers-6.1.0-18-amd64 (= 6.1.76-1); aber:
  Paket linux-headers-6.1.0-18-amd64 ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes linux-headers-amd64 (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 linux-image-6.1.0-18-amd64
 linux-headers-6.1.0-18-amd64
 linux-image-amd64
 linux-headers-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)

The make.log of nvidea is very long with a lot of red error lines. Maybe the last will be enough for getting an solution.

ERROR: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol '__rcu_read_lock'
ERROR: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol '__rcu_read_unlock'
make[3]: *** [/usr/src/linux-headers-6.1.0-18-common/scripts/Makefile.modpost:126: /var/lib/dkms/nvidia-tesla-470/470.223.02/build/Module.symvers] Fehler 1
make[2]: *** [/usr/src/linux-headers-6.1.0-18-common/Makefile:1991: modpost] Fehler 2

My question: Is there something I can do to solve this issue?

Thanks for support and best regards
Dietmar
#39
Sparky applications / Re: Upgrade Badwolf to the lat...
Last post by AxL - February 09, 2024, 09:02:42 PM
Quote from: pavroo on February 09, 2024, 08:21:50 PMdone, thanks

You're welcome !! 
















As I said in my OP, I reiterate my congratulations and thanks for all your great work and support, with SparkyLinux.







Cheers !! 
#40
Sparky applications / Re: Upgrade Badwolf to the lat...
Last post by pavroo - February 09, 2024, 08:21:50 PM
done, thanks

View the most recent posts on the forum